Index: palm/trunk/SOURCE/surface_layer_fluxes_mod.f90
===================================================================
--- palm/trunk/SOURCE/surface_layer_fluxes_mod.f90	(revision 3044)
+++ palm/trunk/SOURCE/surface_layer_fluxes_mod.f90	(revision 3045)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! Error message revised
+! 
+! 2766 2018-01-22 17:17:47Z kanani
 ! Removed preprocessor directive __chem
 ! 
@@ -833,5 +836,5 @@
                               'combination with a prescribed roughness '  //   &
                               'heterogeneity'
-             CALL message( 'surface_layer_fluxes', 'PA0417', 1, 2, 0, 6, 0 )
+             CALL message( 'surface_layer_fluxes', 'PA0116', 1, 2, 0, 6, 0 )
           ENDIF
 
Index: palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90
===================================================================
--- palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90	(revision 3044)
+++ palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90	(revision 3045)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Error message revised
+! 
+! 3044 2018-05-25 10:59:41Z gronemeier
 ! Add missing variable descriptions
 !
@@ -343,10 +346,10 @@
           IF ( bc_lr /= 'dirichlet/radiation' )  THEN
              message_string = 'Using synthetic turbulence generator ' //       &
-                              'requires &bc_lr = "dirichlet/radiation"'
+                              'requires bc_lr = "dirichlet/radiation"'
              CALL message( 'stg_check_parameters', 'PA0035', 1, 2, 0, 6, 0 )
           ENDIF
           IF ( bc_ns /= 'cyclic' )  THEN
              message_string = 'Using synthetic turbulence generator ' //       &
-                              'requires &bc_ns = "cyclic"'
+                              'requires bc_ns = "cyclic"'
              CALL message( 'stg_check_parameters', 'PA0037', 1, 2, 0, 6, 0 )
           ENDIF
Index: palm/trunk/SOURCE/temperton_fft_mod.f90
===================================================================
--- palm/trunk/SOURCE/temperton_fft_mod.f90	(revision 3044)
+++ palm/trunk/SOURCE/temperton_fft_mod.f90	(revision 3045)
@@ -9,4 +9,7 @@
 ! -----------------
 ! $Id$
+! Error message revised
+! 
+! 2300 2017-06-29 13:31:14Z raasch
 ! NEC related CPP directives removed
 ! 
@@ -2161,7 +2164,7 @@
 
 !    WRITE (nout,'(A,I4,A)') ' n =',n,' - Contains illegal factors'
-    message_string = 'number of gridpoints along x or/and y ' // &
-                     'contain illegal  factors' //               &
-                     '&only factors 8,6,5,4,3,2 are allowed' 
+    message_string = 'number of gridpoints along x or/and y ' //               &
+                     'contain illegal  factors' //                             &
+                     ' only factors 2, 3, 5 are allowed' 
     CALL message( 'temperton_fft', 'PA0311', 1, 2, 0, 6, 0 )
 
Index: palm/trunk/SOURCE/timestep.f90
===================================================================
--- palm/trunk/SOURCE/timestep.f90	(revision 3044)
+++ palm/trunk/SOURCE/timestep.f90	(revision 3045)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Error message revised
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -330,15 +333,15 @@
 
           WRITE( message_string, * ) 'Time step has reached minimum limit.',   &
-               '&dt              = ', dt_3d, ' s  Simulation is terminated.',  &
-               '&old_dt          = ', old_dt, ' s',                            &
-               '&dt_u            = ', dt_u, ' s',                              &
-               '&dt_v            = ', dt_v, ' s',                              &
-               '&dt_w            = ', dt_w, ' s',                              &
-               '&dt_diff         = ', dt_diff, ' s',                           &
-               '&u_max           = ', u_max, ' m/s   k=', u_max_ijk(1),        &
+               ' dt              = ', dt_3d, ' s  Simulation is terminated.',  &
+               ' old_dt          = ', old_dt, ' s',                            &
+               ' dt_u            = ', dt_u, ' s',                              &
+               ' dt_v            = ', dt_v, ' s',                              &
+               ' dt_w            = ', dt_w, ' s',                              &
+               ' dt_diff         = ', dt_diff, ' s',                           &
+               ' u_max           = ', u_max, ' m/s   k=', u_max_ijk(1),        &
                '  j=', u_max_ijk(2), '  i=', u_max_ijk(3),                     &
-               '&v_max           = ', v_max, ' m/s   k=', v_max_ijk(1),        &
+               ' v_max           = ', v_max, ' m/s   k=', v_max_ijk(1),        &
                '  j=', v_max_ijk(2), '  i=', v_max_ijk(3),                     &
-               '&w_max           = ', w_max, ' m/s   k=', w_max_ijk(1),        &
+               ' w_max           = ', w_max, ' m/s   k=', w_max_ijk(1),        &
                '  j=', w_max_ijk(2), '  i=', w_max_ijk(3)
           CALL message( 'timestep', 'PA0312', 0, 1, 0, 6, 0 )
Index: palm/trunk/SOURCE/turbulence_closure_mod.f90
===================================================================
--- palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 3044)
+++ palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 3045)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Error message revised
+! 
+! 3014 2018-05-09 08:42:38Z maronga
 ! Bugfix: nzb_do and nzt_do were not used for 3d data output
 ! 
@@ -1212,11 +1215,12 @@
 
        DO  k = 1, nzt
-          IF ( l_grid(k) > 1.5_wp * dx * wall_adjustment_factor .OR.  &
+          IF ( l_grid(k) > 1.5_wp * dx * wall_adjustment_factor .OR.           &
                l_grid(k) > 1.5_wp * dy * wall_adjustment_factor )  THEN
-             WRITE( message_string, * ) 'grid anisotropy exceeds ', &
-                                        'threshold given by only local', &
-                                        ' &horizontal reduction of near_wall ', &
-                                        'mixing length l_wall', &
-                                        ' &starting from height level k = ', k, '.'
+             WRITE( message_string, * ) 'grid anisotropy exceeds ',            &
+                                        'threshold given by only local',       &
+                                        ' horizontal reduction of near_wall ', &
+                                        'mixing length l_wall',                &
+                                        ' starting from height level k = ', k, &
+                                        '.'
              CALL message( 'init_grid', 'PA0202', 0, 1, 0, 6, 0 )
              EXIT
Index: palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3044)
+++ palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3045)
@@ -28,4 +28,7 @@
 ! -----------------
 ! $Id$
+! Error message added
+! 
+! 3029 2018-05-23 12:19:17Z raasch
 ! bugfix: close unit 151 instead of 90
 ! 
@@ -320,5 +323,5 @@
     USE radiation_model_mod,                                                   &
         ONLY:  albedo_type, radiation_interaction, calc_zenith, zenith,        &
-               rad_sw_in, rad_lw_in, rad_sw_out, rad_lw_out,                   &
+               radiation, rad_sw_in, rad_lw_in, rad_sw_out, rad_lw_out,        &
                sigma_sb, solar_constant, sun_direction, sun_dir_lat,           &
                sun_dir_lon,                                                    &
@@ -2303,5 +2306,5 @@
                            'bc_pt_b = "dirichlet" and '//                      &
                            'bc_q_b  = "dirichlet"'
-          CALL message( 'check_parameters', 'PA0590', 1, 2, 0, 6, 0 )
+          CALL message( 'usm_check_parameters', 'PA0590', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -2309,5 +2312,11 @@
           message_string = 'urban surface model requires '//                   &
                            'constant_flux_layer = .T.'
-          CALL message( 'check_parameters', 'PA0591', 1, 2, 0, 6, 0 )
+          CALL message( 'usm_check_parameters', 'PA0084', 1, 2, 0, 6, 0 )
+       ENDIF
+
+       IF (  .NOT.  radiation )  THEN
+          message_string = 'urban surface model requires '//                   &
+                           'the radiation model to be switched on'
+          CALL message( 'usm_check_parameters', 'PA0084', 1, 2, 0, 6, 0 )
        ENDIF
 !        
Index: palm/trunk/SOURCE/vertical_nesting_mod.f90
===================================================================
--- palm/trunk/SOURCE/vertical_nesting_mod.f90	(revision 3044)
+++ palm/trunk/SOURCE/vertical_nesting_mod.f90	(revision 3045)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! Error message revised
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -267,8 +270,8 @@
    
         IF ( myid == 0) THEN
-            CALL MPI_SENDRECV( terminate_coupled,        1, MPI_INTEGER, &
-                target_id, 0,                             &
-                terminate_coupled_remote, 1, MPI_INTEGER, &
-                target_id, 0,                             &
+            CALL MPI_SENDRECV( terminate_coupled,        1, MPI_INTEGER,       &
+                target_id, 0,                                                  &
+                terminate_coupled_remote, 1, MPI_INTEGER,                      &
+                target_id, 0,                                                  &
                 comm_inter, status, ierr )
         ENDIF
@@ -277,12 +280,12 @@
    
         IF ( terminate_coupled_remote > 0 )  THEN
-            WRITE( message_string, * ) 'remote model "',                         &
-                TRIM( coupling_mode_remote ),             &
-                '" terminated',                           &
-                '&with terminate_coupled_remote = ',      &
-                terminate_coupled_remote,                 &
-                '&local model  "', TRIM( coupling_mode ), &
-                '" has',                                  &
-                '&terminate_coupled = ',                  &
+            WRITE( message_string, * ) 'remote model "',                       &
+                TRIM( coupling_mode_remote ),                                  &
+                '" terminated',                                                &
+                ' with terminate_coupled_remote = ',                           &
+                terminate_coupled_remote,                                      &
+                ' local model  "', TRIM( coupling_mode ),                      &
+                '" has',                                                       &
+                ' terminate_coupled = ',                                       &
                 terminate_coupled
             CALL message( 'vnest_init_fine', 'PA0310', 1, 2, 0, 6, 0 )
@@ -2777,12 +2780,12 @@
    
         IF ( terminate_coupled_remote > 0 )  THEN
-            WRITE( message_string, * ) 'remote model "',                         &
-                TRIM( coupling_mode_remote ),             &
-                '" terminated',                           &
-                '&with terminate_coupled_remote = ',      &
-                terminate_coupled_remote,                 &
-                '&local model  "', TRIM( coupling_mode ), &
-                '" has',                                  &
-                '&terminate_coupled = ',                  &
+            WRITE( message_string, * ) 'remote model "',                       &
+                TRIM( coupling_mode_remote ),                                  &
+                '" terminated',                                                &
+                ' with terminate_coupled_remote = ',                           &
+                terminate_coupled_remote,                                      &
+                ' local model  "', TRIM( coupling_mode ),                      &
+                '" has',                                                       &
+                ' terminate_coupled = ',                                       &
                 terminate_coupled
             CALL message( 'vnest_anterpolate', 'PA0310', 1, 2, 0, 6, 0 )
@@ -3315,22 +3318,22 @@
    
         IF ( myid == 0) THEN
-            CALL MPI_SENDRECV( terminate_coupled,        1, MPI_INTEGER, &
-                target_id, 0,                             &
-                terminate_coupled_remote, 1, MPI_INTEGER, &
-                target_id, 0,                             &
+            CALL MPI_SENDRECV( terminate_coupled,        1, MPI_INTEGER,       &
+                target_id, 0,                                                  &
+                terminate_coupled_remote, 1, MPI_INTEGER,                      &
+                target_id, 0,                                                  &
                 comm_inter, status, ierr )
         ENDIF
-        CALL MPI_BCAST( terminate_coupled_remote, 1, MPI_INTEGER, 0, comm2d, &
+        CALL MPI_BCAST( terminate_coupled_remote, 1, MPI_INTEGER, 0, comm2d,   &
             ierr )
    
         IF ( terminate_coupled_remote > 0 )  THEN
-            WRITE( message_string, * ) 'remote model "',                         &
-                TRIM( coupling_mode_remote ),             &
-                '" terminated',                           &
-                '&with terminate_coupled_remote = ',      &
-                terminate_coupled_remote,                 &
-                '&local model  "', TRIM( coupling_mode ), &
-                '" has',                                  &
-                '&terminate_coupled = ',                  &
+            WRITE( message_string, * ) 'remote model "',                       &
+                TRIM( coupling_mode_remote ),                                  &
+                '" terminated',                                                &
+                ' with terminate_coupled_remote = ',                           &
+                terminate_coupled_remote,                                      &
+                ' local model  "', TRIM( coupling_mode ),                      & 
+                '" has',                                                       &
+                ' terminate_coupled = ',                                       &
                 terminate_coupled
             CALL message( 'vnest_anterpolate_e', 'PA0310', 1, 2, 0, 6, 0 )
